Subject: devel-digest V2 #184
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Monday, May 31 1999           Volume 02 : Number 184

In this issue:

    mp3 == crash
    ncurses hangs

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Sun, 30 May 1999 16:26:03 -0700
From: "Eric A. Perlman" <[email-masked]>
Subject: mp3 == crash

When I play music (hey, who doesn't? :) I crash.  Basicly, if I listen to music for a while, I crash withen an hour or two.  If I try to compile anything or start gimp I crash instantly.

By "crash" I mean that the machine freezes and loops the last two second of audio continuously.

I am currently using Build 12 2.2.9-rmk1.  This happens with 2.2.8, 2.2.5, 2.2.2, 2.0.35, 2.0.31...   This also happened under Build 10.

I am using xaudio to play the music, both off the hard disk and off shout cast servers (thanks to whoever put a compiled netcat on N.O.).

Any ideas?  I had an uptime of 23 days before I resumed using my netwinder for music.  Now I am unable to stay alive for more than 4 hours.

- -eric
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 30 May 1999 20:46:17 -0700
From: Steven Ng <[email-masked]>
Subject: ncurses hangs

I have run into a problem with getch in the ncurses library.  I assume
the version on my computer is from ncurses-devel-4.2-6.armv4.rpm (The
date is earlier that the date I received my NW.)

When building a program that calls a non blocking getch from the ncurses
library, the program ends up in an infinte loop with getch constantly
returning the first character I typed.  I verified this with the ncurses
test code (testcurs, performing Input Test .)

I built and installed ncurses from the GNU site ncurses-4.2.tar.gz.
Non-blocking calls to getch work fine.  Besides the problem I
encountered, what are the differences between the ncurses-4.2 and the
ncurses-devel-4.2-6.armv4?  What significant changes need to be made to
ncurses-4.2 for the NW?

Steven Ng
Boulder Creek, CA

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #184
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.